<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Ergebnisgruppe FLR Druck" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="814" leftMargin="14" rightMargin="14" topMargin="42" bottomMargin="14" uuid="be8f1b7c-d944-4fbd-af93-f3face8c1f35">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="74"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor" isForPrompting="false">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_UEBERSCHRIFT" class="java.lang.String">
		<parameterDescription><![CDATA[Der Fenstertitle]]></parameterDescription>
	</parameter>
	<parameter name="P_USECASE_ID" class="java.lang.String"/>
	<field name="Spalte1" class="java.lang.String">
		<fieldDescription><![CDATA[Bezeichnung]]></fieldDescription>
	</field>
	<field name="Spalte2" class="java.lang.String">
		<fieldDescription><![CDATA[Summengruppe]]></fieldDescription>
	</field>
	<field name="Spalte3" class="java.lang.Boolean">
		<fieldDescription><![CDATA[Vorzeichen]]></fieldDescription>
	</field>
	<field name="Spalte4" class="java.lang.Boolean">
		<fieldDescription><![CDATA[Invertiert]]></fieldDescription>
	</field>
	<field name="Spalte5" class="java.lang.Boolean">
		<fieldDescription><![CDATA[hundertProzent]]></fieldDescription>
	</field>
	<field name="Spalte6" class="java.lang.Boolean">
		<fieldDescription><![CDATA[Jahresgewinn]]></fieldDescription>
	</field>
	<pageHeader>
		<band height="54" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Opaque" x="0" y="0" width="415" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="a1103d1f-36ef-436d-bd9a-96842e159017"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="700" y="0" width="100" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="58d886d9-ed1f-493f-8451-05b852907679"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + $V{PAGE_NUMBER} + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="800" y="0" width="14" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="ce345760-4313-47db-b48f-6f62587f431e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="15" width="300" height="22" uuid="d915e442-b272-45a5-a230-392d81eff9ed"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="14" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Ergebnisgruppen Übersicht"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="44" width="100" height="10" uuid="47a6cbd1-edbe-4ce4-b95e-97b5fc15ee1c">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Bezeichnung]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="FLR Druck" mode="Transparent" x="564" y="0" width="176" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="cdafe40b-8b9c-4bce-a932-6869601894f6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["FLR Druck 4205, Ergebnisgruppenübersicht"]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<textField>
				<reportElement mode="Transparent" x="0" y="0" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="5abbbf8b-e270-4a87-ae83-a9288869629b"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Spalte1}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="10" splitType="Stretch">
			<subreport>
				<reportElement key="Subreport_" positionType="Float" x="0" y="0" width="814" height="10" uuid="ba8c70db-5587-4b51-9a6a-cd11e0957e71"/>
				<subreportParameter name="P_SQLEXEC">
					<subreportParameterExpression><![CDATA[$P{P_SQLEXEC}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_MANDANT_OBJ">
					<subreportParameterExpression><![CDATA[$P{P_MANDANT_OBJ}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select basis.I_ID, basis.C_BEZ, basis.B_SUMMENEGATIV, basis.B_INVERTIERT, basis.B_JAHRESGEWINN, "+
"summe.I_ID as SUMMENGRUPPE_I_ID, summe.C_BEZ as c_summengruppe from FB_ERGEBNISGRUPPE as basis  "+
"left outer join FB_ERGEBNISGRUPPE as summe on summe.I_ID=basis.ERGEBNISGRUPPE_I_ID_SUMME "+
"where basis.MANDANT_C_NR='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"' and basis.B_BILANZGRUPPE=0 "+
"order by basis.I_REIHUNG;",
new String[] {"i_id",
"c_bez",
"b_summenegativ",
"b_invertiert",
"b_jahresgewinn",
"summengruppe_i_id",
"c_summengruppe"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"flrdruck4205_detail.jasper").toURL()]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
